commit:     b95c409852dc8bc58cb3651690588b8aed4bf533
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 11 05:41:03 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Aug 12 06:08:44 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b95c4098

dev-ruby/concurrent-ruby: add 1.3.4

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/concurrent-ruby/Manifest                  |  1 +
 .../concurrent-ruby/concurrent-ruby-1.3.4.ebuild   | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-ruby/concurrent-ruby/Manifest 
b/dev-ruby/concurrent-ruby/Manifest
index 5c7e718f172a..d6de30eaf1e8 100644
--- a/dev-ruby/concurrent-ruby/Manifest
+++ b/dev-ruby/concurrent-ruby/Manifest
@@ -3,3 +3,4 @@ DIST concurrent-ruby-1.2.3.tar.gz 1152422 BLAKE2B 
72057ef4db1cc7dd0eb30122671e1c
 DIST concurrent-ruby-1.3.1.tar.gz 1153932 BLAKE2B 
e516528e20f23c1f65f6528b97f5ee61f8cb61cb34703022e2763736a85d4e55ce637df45e9477cc39c93d89b92e63adc23a8966d5c025ba328bf9d148ebe629
 SHA512 
837705cd37f7c6c16f3ac1f7b0ed5f4f460c8f3dbe87fa1cfc4efd8e70e4c70f62efe7dfd009a4bfc5626fbdda9fabc87a6e1efb82ab03926b6d098a5ead4423
 DIST concurrent-ruby-1.3.2.tar.gz 1154379 BLAKE2B 
23a3b344fdabf403e8176db941cb953e5d59d41d417021ba2412005f486f4cec88d2bd29aaef6481fc7727759493bc5c9fca8cdb6af832ddd38e1a9f34365f5b
 SHA512 
a74fd5c1df97289b4287d3a20fddd3d4277019288e45227649d3597199c1a47325b626d8c323fc722e6638b8f8433729b541acaa060a7b570a921a78ebb49eec
 DIST concurrent-ruby-1.3.3.tar.gz 1154451 BLAKE2B 
d18d02e94d42f8937b0e662216b3b87ea8fd52fee8c1a110c3d291062055c58e1fa6938dc0e7b9bef0dbbd250e08d648751ed65f460a79494fa2dbb14759184a
 SHA512 
bf6f7883637dd4026d0ae14cca053eaf0c080976a28c5438290787bfafa43fa93c217e58976ada5d764b81a5884f0229d0b29044ac84d770679559803927b12d
+DIST concurrent-ruby-1.3.4.tar.gz 1154935 BLAKE2B 
f27a8b1deab77b7897d9faadc4ddef9a8dbe55988e0a7cbcfd88a32b0369fbf37ab3c98a8244bae1509ae128d01c283b18716a723b5a3173d8e8f5cef28a37b2
 SHA512 
d08a20ec465429875ddb1b1bcc7a75e74cfdb3113e4141e7d7f690ddd6fe50af978b7911bf0457a3e535fd79e463e423c34d23f77e645ecb6dd69704b17fdad6

diff --git a/dev-ruby/concurrent-ruby/concurrent-ruby-1.3.4.ebuild 
b/dev-ruby/concurrent-ruby/concurrent-ruby-1.3.4.ebuild
new file mode 100644
index 000000000000..d4bfd455825f
--- /dev/null
+++ b/dev-ruby/concurrent-ruby/concurrent-ruby-1.3.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Modern concurrency tools including agents, futures, promises, 
thread pools, more"
+HOMEPAGE="https://github.com/ruby-concurrency/concurrent-ruby";
+SRC_URI="https://github.com/ruby-concurrency/concurrent-ruby/archive/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( >=dev-ruby/timecop-0.9 )"
+
+all_ruby_prepare() {
+       # Remove edge files as defined in support/file_map.rb
+       rm -rf 
spec/concurrent/{actor,cancellation,channel,edge,lazy_register,processing,promises,throttle}*
 || die
+       rm -r spec/concurrent/executor/wrapping_executor_spec.rb || die
+       sed -i -e '/concurrent-edge/ s:^:#:' spec/spec_helper.rb || die
+       sed -i -e 's:lib-edge:lib/concurrent-ruby:' .rspec || die
+       sed -i -e 's:../../../::' spec/concurrent/executor/executor_quits.rb || 
die
+
+       # Remove specs for the ext gem
+       rm -rf spec/concurrent/atomic || die
+
+       sed -e 's/git ls-files/find * -print/' \
+               -e "s/__dir__/'.'/" \
+               -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}

Reply via email to